Package org.bukkit.block.data.type

# Interface Snow

All Superinterfaces:
  `BlockData`, `Cloneable`

public interface Snow extends BlockData
'layers' represents the amount of layers of snow which are present in this block.
May not be lower than `getMinimumLayers()` or higher than `getMaximumLayers()`.

## Method Summary

Modifier and Type
Method
Description
`int`
`getLayers()`
Gets the value of the 'layers' property.
`int`
`getMaximumLayers()`
Gets the maximum allowed value of the 'layers' property.
`int`
`getMinimumLayers()`
Gets the minimum allowed value of the 'layers' property.
`void`
`setLayers(int layers)`
Sets the value of the 'layers' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getLayers

int getLayers()
Gets the value of the 'layers' property.

Returns:
  the 'layers' value

### setLayers

void setLayers(int layers)
Sets the value of the 'layers' property.

Parameters:
  `layers` - the new 'layers' value

### getMinimumLayers

int getMinimumLayers()
Gets the minimum allowed value of the 'layers' property.

Returns:
  the minimum 'layers' value

### getMaximumLayers

int getMaximumLayers()
Gets the maximum allowed value of the 'layers' property.

Returns:
  the maximum 'layers' value